Skip to main content
GET
/
partner
/
exchanges
/
{id}
Get a single exchange office
curl --request GET \
  --url https://api.example.com/api/v1/partner/exchanges/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "name": "Main Office",
  "address": "123 Currency St",
  "city": "Kyiv",
  "isActive": true,
  "schedule": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Partner API key. Format: sk_branch_<32chars>, sk_personal_<32chars>, or pk_<32chars> (public, read-only)

Path Parameters

id
integer
required

Exchange office ID

Response

Exchange office details

id
integer
Example:

1

name
string
Example:

"Main Office"

address
string
Example:

"123 Currency St"

city
string
Example:

"Kyiv"

isActive
boolean
Example:

true

schedule
object

Operating hours by day of week

createdAt
string<date-time>
updatedAt
string<date-time>